org.apache.hadoop.yarn.server.federation.store.records

## Class AddApplicationHomeSubClusterResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.AddApplicationHomeSubClusterResponse

- Direct Known Subclasses:
    AddApplicationHomeSubClusterResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class AddApplicationHomeSubClusterResponse
      extends Object

  AddApplicationHomeSubClusterResponse contains the answer from the `FederationApplicationHomeSubClusterStore` to a request to insert a newly generated applicationId and its owner. The response contains application's home sub-cluster as it is stored in the `FederationApplicationHomeSubClusterStore`. If a mapping for the application already existed, the `SubClusterId` in this response will return the existing mapping which might be different from that in the `AddApplicationHomeSubClusterRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddApplicationHomeSubClusterResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SubClusterId` | `getHomeSubCluster()` Get the home sub-cluster that this application has been assigned to.
    `static AddApplicationHomeSubClusterResponse` | `newInstance(SubClusterId homeSubCluster)`
    `abstract void` | `setHomeSubCluster(SubClusterId homeSubCluster)` Set the home sub-cluster that this application has been assigned to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddApplicationHomeSubClusterResponse

          public AddApplicationHomeSubClusterResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static AddApplicationHomeSubClusterResponse newInstance(SubClusterId homeSubCluster)

    - #### setHomeSubCluster

          public abstract void setHomeSubCluster(SubClusterId homeSubCluster)

      Set the home sub-cluster that this application has been assigned to.
      Parameters:
        `homeSubCluster` - the `SubClusterId` of this application's home sub-cluster

    - #### getHomeSubCluster

          public abstract SubClusterId getHomeSubCluster()

      Get the home sub-cluster that this application has been assigned to. This may not match the `SubClusterId` in the corresponding response, if the mapping for the request's application already existed.
      Returns:
        the `SubClusterId` of this application's home sub-cluster

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.